-- All Rework View
delete from DSPL_VW_COL where DSPL_VW_ID in (select DSPL_VW_ID from DSPL_VW where DSPL_VW_NME = 'All Rework')
delete from DSPL_VW where DSPL_VW_NME = 'All Rework'

insert into DSPL_VW 
([USER_ID], DSPL_VW_NME, SITE_CNTNT_ID, SITE_CNTNT_COL_VW_CD, DSPL_VW_DES, DSPL_VW_WEB_ADR, DFLT_VW_CD, PBLC_VW_CD, FILTR_COL_1_OPR_ID, FILTR_COL_2_OPR_ID, FILTR_COL_1_ID, FILTR_COL_2_ID, FILTR_COL_1_VALU_TXT, FILTR_COL_2_VALU_TXT, FILTR_ON_CD, SORT_BY_COL_1_ID, SORT_BY_COL_2_ID, GRP_BY_COL_1_ID, GRP_BY_COL_2_ID, CREAT_BY_USER_ID, MODFD_BY_USER_ID, MODFD_DT, CREAT_DT, FILTR_LOGIC_OPR_ID, SORT_BY_COL_1_ASC_ORDR_CD, SORT_BY_COL_2_ASC_ORDR_CD)
values 
(1,	'All Rework',	1,	'N', '', NULL,	'N',	'Y', '=',	NULL,	26,	NULL,	3,	NULL,	'Y',	1,	3,	NULL,	NULL,	1,	1,	GETDATE(),	GETDATE(),	'OR',	'Y',	'Y')

insert into DSPL_VW 
([USER_ID], DSPL_VW_NME, SITE_CNTNT_ID, SITE_CNTNT_COL_VW_CD, DSPL_VW_DES, DSPL_VW_WEB_ADR, DFLT_VW_CD, PBLC_VW_CD, FILTR_COL_1_OPR_ID, FILTR_COL_2_OPR_ID, FILTR_COL_1_ID, FILTR_COL_2_ID, FILTR_COL_1_VALU_TXT, FILTR_COL_2_VALU_TXT, FILTR_ON_CD, SORT_BY_COL_1_ID, SORT_BY_COL_2_ID, GRP_BY_COL_1_ID, GRP_BY_COL_2_ID, CREAT_BY_USER_ID, MODFD_BY_USER_ID, MODFD_DT, CREAT_DT, FILTR_LOGIC_OPR_ID, SORT_BY_COL_1_ASC_ORDR_CD, SORT_BY_COL_2_ASC_ORDR_CD)
values 
(1,	'All Rework',	2,	'N', '', NULL,	'N',	'Y', '=',	NULL,	26,	NULL,	3,	NULL,	'Y',	1,	3,	NULL,	NULL,	1,	1,	GETDATE(),	GETDATE(),	'OR',	'Y',	'Y')

insert into DSPL_VW 
([USER_ID], DSPL_VW_NME, SITE_CNTNT_ID, SITE_CNTNT_COL_VW_CD, DSPL_VW_DES, DSPL_VW_WEB_ADR, DFLT_VW_CD, PBLC_VW_CD, FILTR_COL_1_OPR_ID, FILTR_COL_2_OPR_ID, FILTR_COL_1_ID, FILTR_COL_2_ID, FILTR_COL_1_VALU_TXT, FILTR_COL_2_VALU_TXT, FILTR_ON_CD, SORT_BY_COL_1_ID, SORT_BY_COL_2_ID, GRP_BY_COL_1_ID, GRP_BY_COL_2_ID, CREAT_BY_USER_ID, MODFD_BY_USER_ID, MODFD_DT, CREAT_DT, FILTR_LOGIC_OPR_ID, SORT_BY_COL_1_ASC_ORDR_CD, SORT_BY_COL_2_ASC_ORDR_CD)
values 
(1,	'All Rework',	3,	'N', '', NULL,	'N',	'Y', '=',	NULL,	26,	NULL,	3,	NULL,	'Y',	1,	3,	NULL,	NULL,	1,	1,	GETDATE(),	GETDATE(),	'OR',	'Y',	'Y')

insert into DSPL_VW 
([USER_ID], DSPL_VW_NME, SITE_CNTNT_ID, SITE_CNTNT_COL_VW_CD, DSPL_VW_DES, DSPL_VW_WEB_ADR, DFLT_VW_CD, PBLC_VW_CD, FILTR_COL_1_OPR_ID, FILTR_COL_2_OPR_ID, FILTR_COL_1_ID, FILTR_COL_2_ID, FILTR_COL_1_VALU_TXT, FILTR_COL_2_VALU_TXT, FILTR_ON_CD, SORT_BY_COL_1_ID, SORT_BY_COL_2_ID, GRP_BY_COL_1_ID, GRP_BY_COL_2_ID, CREAT_BY_USER_ID, MODFD_BY_USER_ID, MODFD_DT, CREAT_DT, FILTR_LOGIC_OPR_ID, SORT_BY_COL_1_ASC_ORDR_CD, SORT_BY_COL_2_ASC_ORDR_CD)
values 
(1,	'All Rework',	4,	'N', '', NULL,	'N',	'Y', '=',	NULL,	26,	NULL,	3,	NULL,	'Y',	1,	3,	NULL,	NULL,	1,	1,	GETDATE(),	GETDATE(),	'OR',	'Y',	'Y')

insert into DSPL_VW 
([USER_ID], DSPL_VW_NME, SITE_CNTNT_ID, SITE_CNTNT_COL_VW_CD, DSPL_VW_DES, DSPL_VW_WEB_ADR, DFLT_VW_CD, PBLC_VW_CD, FILTR_COL_1_OPR_ID, FILTR_COL_2_OPR_ID, FILTR_COL_1_ID, FILTR_COL_2_ID, FILTR_COL_1_VALU_TXT, FILTR_COL_2_VALU_TXT, FILTR_ON_CD, SORT_BY_COL_1_ID, SORT_BY_COL_2_ID, GRP_BY_COL_1_ID, GRP_BY_COL_2_ID, CREAT_BY_USER_ID, MODFD_BY_USER_ID, MODFD_DT, CREAT_DT, FILTR_LOGIC_OPR_ID, SORT_BY_COL_1_ASC_ORDR_CD, SORT_BY_COL_2_ASC_ORDR_CD)
values 
(1,	'All Rework',	5,	'N', '', NULL,	'N',	'Y', '=',	NULL,	26,	NULL,	3,	NULL,	'Y',	1,	3,	NULL,	NULL,	1,	1,	GETDATE(),	GETDATE(),	'OR',	'Y',	'Y')


-- All Visible View
delete from DSPL_VW_COL where DSPL_VW_ID in (select DSPL_VW_ID from DSPL_VW where DSPL_VW_NME = 'All Visible')
delete from DSPL_VW where DSPL_VW_NME = 'All Visible'

insert into DSPL_VW 
([USER_ID], DSPL_VW_NME, SITE_CNTNT_ID, SITE_CNTNT_COL_VW_CD, DSPL_VW_DES, DSPL_VW_WEB_ADR, DFLT_VW_CD, PBLC_VW_CD, FILTR_COL_1_OPR_ID, FILTR_COL_2_OPR_ID, FILTR_COL_1_ID, FILTR_COL_2_ID, FILTR_COL_1_VALU_TXT, FILTR_COL_2_VALU_TXT, FILTR_ON_CD, SORT_BY_COL_1_ID, SORT_BY_COL_2_ID, GRP_BY_COL_1_ID, GRP_BY_COL_2_ID, CREAT_BY_USER_ID, MODFD_BY_USER_ID, MODFD_DT, CREAT_DT, FILTR_LOGIC_OPR_ID, SORT_BY_COL_1_ASC_ORDR_CD, SORT_BY_COL_2_ASC_ORDR_CD)
values 
(1,	'All Visible',	1,	'N', '', NULL,	'N',	'Y', '=',	NULL,	26,	NULL,	1,	NULL,	'Y',	1,	3,	NULL,	NULL,	1,	1,	GETDATE(),	GETDATE(),	'OR',	'Y',	'Y')

insert into DSPL_VW 
([USER_ID], DSPL_VW_NME, SITE_CNTNT_ID, SITE_CNTNT_COL_VW_CD, DSPL_VW_DES, DSPL_VW_WEB_ADR, DFLT_VW_CD, PBLC_VW_CD, FILTR_COL_1_OPR_ID, FILTR_COL_2_OPR_ID, FILTR_COL_1_ID, FILTR_COL_2_ID, FILTR_COL_1_VALU_TXT, FILTR_COL_2_VALU_TXT, FILTR_ON_CD, SORT_BY_COL_1_ID, SORT_BY_COL_2_ID, GRP_BY_COL_1_ID, GRP_BY_COL_2_ID, CREAT_BY_USER_ID, MODFD_BY_USER_ID, MODFD_DT, CREAT_DT, FILTR_LOGIC_OPR_ID, SORT_BY_COL_1_ASC_ORDR_CD, SORT_BY_COL_2_ASC_ORDR_CD)
values 
(1,	'All Visible',	2,	'N', '', NULL,	'N',	'Y', '=',	NULL,	26,	NULL,	1,	NULL,	'Y',	1,	3,	NULL,	NULL,	1,	1,	GETDATE(),	GETDATE(),	'OR',	'Y',	'Y')

insert into DSPL_VW 
([USER_ID], DSPL_VW_NME, SITE_CNTNT_ID, SITE_CNTNT_COL_VW_CD, DSPL_VW_DES, DSPL_VW_WEB_ADR, DFLT_VW_CD, PBLC_VW_CD, FILTR_COL_1_OPR_ID, FILTR_COL_2_OPR_ID, FILTR_COL_1_ID, FILTR_COL_2_ID, FILTR_COL_1_VALU_TXT, FILTR_COL_2_VALU_TXT, FILTR_ON_CD, SORT_BY_COL_1_ID, SORT_BY_COL_2_ID, GRP_BY_COL_1_ID, GRP_BY_COL_2_ID, CREAT_BY_USER_ID, MODFD_BY_USER_ID, MODFD_DT, CREAT_DT, FILTR_LOGIC_OPR_ID, SORT_BY_COL_1_ASC_ORDR_CD, SORT_BY_COL_2_ASC_ORDR_CD)
values 
(1,	'All Visible',	3,	'N', '', NULL,	'N',	'Y', '=',	NULL,	26,	NULL,	1,	NULL,	'Y',	1,	3,	NULL,	NULL,	1,	1,	GETDATE(),	GETDATE(),	'OR',	'Y',	'Y')

insert into DSPL_VW 
([USER_ID], DSPL_VW_NME, SITE_CNTNT_ID, SITE_CNTNT_COL_VW_CD, DSPL_VW_DES, DSPL_VW_WEB_ADR, DFLT_VW_CD, PBLC_VW_CD, FILTR_COL_1_OPR_ID, FILTR_COL_2_OPR_ID, FILTR_COL_1_ID, FILTR_COL_2_ID, FILTR_COL_1_VALU_TXT, FILTR_COL_2_VALU_TXT, FILTR_ON_CD, SORT_BY_COL_1_ID, SORT_BY_COL_2_ID, GRP_BY_COL_1_ID, GRP_BY_COL_2_ID, CREAT_BY_USER_ID, MODFD_BY_USER_ID, MODFD_DT, CREAT_DT, FILTR_LOGIC_OPR_ID, SORT_BY_COL_1_ASC_ORDR_CD, SORT_BY_COL_2_ASC_ORDR_CD)
values 
(1,	'All Visible',	4,	'N', '', NULL,	'N',	'Y', '=',	NULL,	26,	NULL,	1,	NULL,	'Y',	1,	3,	NULL,	NULL,	1,	1,	GETDATE(),	GETDATE(),	'OR',	'Y',	'Y')

insert into DSPL_VW 
([USER_ID], DSPL_VW_NME, SITE_CNTNT_ID, SITE_CNTNT_COL_VW_CD, DSPL_VW_DES, DSPL_VW_WEB_ADR, DFLT_VW_CD, PBLC_VW_CD, FILTR_COL_1_OPR_ID, FILTR_COL_2_OPR_ID, FILTR_COL_1_ID, FILTR_COL_2_ID, FILTR_COL_1_VALU_TXT, FILTR_COL_2_VALU_TXT, FILTR_ON_CD, SORT_BY_COL_1_ID, SORT_BY_COL_2_ID, GRP_BY_COL_1_ID, GRP_BY_COL_2_ID, CREAT_BY_USER_ID, MODFD_BY_USER_ID, MODFD_DT, CREAT_DT, FILTR_LOGIC_OPR_ID, SORT_BY_COL_1_ASC_ORDR_CD, SORT_BY_COL_2_ASC_ORDR_CD)
values 
(1,	'All Visible',	5,	'N', '', NULL,	'N',	'Y', '=',	NULL,	26,	NULL,	1,	NULL,	'Y',	1,	3,	NULL,	NULL,	1,	1,	GETDATE(),	GETDATE(),	'OR',	'Y',	'Y')
